commit bf9ccbac81db2004afb52ea330d7bfe75b1c3898
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Version bump to 0.6.16.

commit 2f83eaa05eeeaf009589b994c8e9a2feb1867260
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixed symbol export on win32 platform.
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>

commit 201840632f4bb361d3ff87819b844dfd9d93e36f
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixes container check in Generator::getSimplifiedContainerTypeName method.

commit 5174c6ad3818247c9586804aae2394a68ef30d47
Author: Jerzy Kozera <jerzy.kozera@gmail.com>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Update generatorrunnermacros.h
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Marcelo Lira <marcelo.lira@openbossa.org>

commit 567ca6effaecdf97b33d1d13eada23bafe0f7535
Merge: b6f64d3 5b487de
Author: Willer Moreira <willer.davis@gmail.com>
Commit: Willer Moreira <willer.davis@gmail.com>

    Merge pull request #17 from willerdavis/master
    
    Doxygen support

commit 5b487de2f53a64e9623ee858ec7b2898c69cb409
Author: Willer Moreira <willer.moreira@indt.org.br>
Commit: Willer Moreira <willer.moreira@indt.org.br>

    Doxygen support

commit b6f64d342c0dd3926eb675c75f040d12840a9043
Author: Yaakov <yselkowitz@users.sourceforge.net>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 1009 - "GeneratorRunner Cygwin patch"
    
    Reviewer: Hugo Parente Lima <hugo.lima@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit c09b41d09861d1b2ac801188d92fce84aa3114f5
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Version bump to 0.10.15.

commit 96259b8450c1ef8f6fa512ad2e4c8658cff10ea6
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Version bump to 0.6.14.

commit 837162eb4db6de11b4e33fcbda21d706d055ac58
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixes Generator::isObjectType(AbstractMetaType*) method.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>

commit 5f3ed94f7a83acf0fc7dfddf414a34121eabe58a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixed minimalConstructor method for classes with template instantiations.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 44138ada64eb6f9175ea7bb8c05e38f9079fbf8b
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added a couple of convenience methods to Generator: isCString and isVoidPointer.

commit c0d2e563a1aeaf8b32e947248bb5453edd7d2263
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Collect the instantiated container types from class fields.

commit ebb972fcc8f8a6c322ded4960e1ed05f4e61fbd0
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Version bumped.

commit 62db9ea4bd4ba2815e3f3d0594cc78dcd8839163
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Fixed function link generated in documentation.
    
    Fixes bug #986.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente <hugo.lima@openbossa.org>

commit 53bd31b8564177a9f9871e715903c4cf43e079cf
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Collect the instantiated container types for the current module.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit a1e245f198d8b933572ca0791f02061667a42edf
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Version Bump.

commit 18a1658d6f5bcdbd118aa2649dcba56e61553c0f
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added a method to check if a TypeEntry should be generated or not.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>

commit cb5be10109fc64d2e77f064164cac4da0d3d8396
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Add support for multiples api-version values.
    
    To use in a project file do:
    
    api-version = MyPackage, 1.3.4
    api-version = MyOtherPackage, 3.4
    
    On command line the things get bit weird, you need to use:
    
    --api-version=MyPackage,1.3.4|MyOtherPackage,3.4
    
    Remembering to escape the |.
    
    Reviewer: Lauro Neto <lauro.neto@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit d3c686acb6ac3c0c75e3184e2bf531ae25b6fcbb
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix link on rel bar.

commit 6a30e5a2504bbfda064c08176009cd61b53d4abf
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixed minimalConstructor(TypeEntry*) to handle classes.
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 15c44f115f2b282110be1607eb1d2874fbaded32
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Removed searchtools.js

commit 6bdd3c6d127c218b7af11a4935b29bb2368c888f
Author: Didier Raboud <odyx@debian.org>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Update pysidedocs theme to rely more on sphinx's base theme:
    
    - Drop files that are redundant with sphinx.
    - Add _templates/layout.html to add the needed customisation.
    - Update theme.conf to ensure theme inheritance.
    - Update pysidedocs.css to fit the theme with sphinx's basic theme.
    
    Reviewer: Hugo Parente Lima <hugo.lima@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit d7c3ef8e620465a0d5716618e003ba8ef45fcaf2
Author: Didier Raboud <odyx@debian.org>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Drop superflous .directory file.

commit 1e04343e905c35efd58f85c9ba7105d209522278
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Find the package name even when no classes were found.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 127ad5d710b3b584666efd6d939bf068b0b9d202
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 831 - "PySide docs would have a "Inherited by" list for each class"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit dde4bf2ee0104bf421044a3f6196bf678a8b237a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Remove " contents" from module page titles.

commit 5b3bbb1545b8a6d60e71118892dfb7a95bbb57ae
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Write a fancy index for PySide docs.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit a24119d9cf8ce72c88d037069cb90aa8cc9a82a2
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixed Generator::translateType() method treatment for "void" types.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 43cb18d6e9367933c1b8c7c17a461ebd45d7d645
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added a method to find the minimal constructor for types, plus some convenience methods.
    
    The minimal constructor method tries to build the minimal constructor
    possible for a given type or class.
    
    Checking if a type is an Object Type is a very common task, as is
    asking if an AbstractMetaType is a pointer to another type. So I
    added these convenience methods.

commit 652f60b9e0850505696fa43a45ea312a619244e7
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Classify function as Signal/Slot/Virtual/Static in documentation.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit fcf5916d468fe037b89daff877ea2abf081cd4a9
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Updated apiextractor dependency.

commit 570921e2c1868aad07322c931a0dbdb423306576
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Version bumped to 0.6.11.

commit a1fb3ae03f33feb89340f7e7adbdc577cd6a0347
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Update javascript files used in sphinx generated documentation.

commit eb64cdfdef69149e0ae7d229a08a4b482731d4de
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Show perm links only when the mouse hover on title.

commit 75cffde7e51646e6e5561384caacb4a1932005cf
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 501 - "Shiboken generator doesn't use full qualified name (with :: prefix) on all places."
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit eca2d705206483d04cfa7b24b51459f3d266f457
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 827 - "Anchor sign for headers to copy links for sections"

commit b800b2824c9418a27b1bade8e570d87fe7df06a8
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Bump version to 0.6.10.

commit 84572f3ee8a4407dd44a218a5844a4ba5d5a6efa
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Implemented support to "since" attribute  on documentation.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Hugo Parente <hugo.lima@openbossa.org>

commit ccbdbb57ddae9785d0ede24deddd8a2882bb25f7
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 830 - "QAbstractItemModel is not linked from QTreeView page"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit e371f92d30c72f8074398a1cb9ad3d365ade54bc
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix coding style.

commit a160d96a2ca2475457211f23ace38b4f23842388
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Updated dependecy version required.

commit 08971467285f18e5f4375334d6fca1951169b02e
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Updated dependecy version.

commit 0623d22816ea4c38aec72244c985a6e0c3cf0cc3
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Version bumped to 0.6.9

commit 32a1fa45638cde71d29a1f74423cfcbdc56389ad
Author: Luciano Wolf <luciano.wolf@openbossa.org>
Commit: Luciano Wolf <luciano.wolf@openbossa.org>

    Use QDir::currentPath() to avoid problems with armel-Meego target.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente <hugo.lima@openbossa.org>

commit eeebd2237ebb2053ee6104d9e2f94f2fdb282950
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Version bump

commit 0114d40f9488170f1ff979e8fca994075dbc4b47
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Remove workaround used to fix bug 540 ("Duplicate entries in QRegExp docs") as it's now really fixed.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit f238cebb57200ce38796fad8f78801446943ebff
Author: Luciano Wolf <luciano.wolf@openbossa.org>
Commit: Luciano Wolf <luciano.wolf@openbossa.org>

    Fix bug #532 - "QNetworkSession documentation formatting broken"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit bb6612e2cb07f4ef64a5a3fd032cfc87ed8aaf30
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Don't show a warning message when an empty code snippet was found.
    
    Reviewer: myself :-)

commit 9116cd9f66041733805d60bdf8e9ab61c2d5b016
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Ignore module docs on extras directory when creating the module table of contents.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 47a40e42e57dee15eed7fc0ce6a3949ca29a2da2
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Add support for badcode qdoc tag.

commit 5f29e0324065ebb76f39b8e8fb2cecc91db150dc
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Use extra directory to also find module docs.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 66bd499c3b5abd332ca804a55857705d34eb0a4a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix typo on ref tag in docs.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit d401ac2ad96082211c48b584a11c51c0c81a837c
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    documentation-code-snippets-dir option now accepts multiple directories.

commit 14ae00ad2aab93770bd7b023fbb247e606019757
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Version bump to 0.6.7

commit 0631e9642e7c8b615edb9bf31e3fcd95784b1eef
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Empty lines from custom code must be cropped.
    
    This is to avoid lines composed only of irritating trailing spaces.
    
    Reviewed by Bruno Araújo <bruno.araujo@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 8c9f9660f04d1c5e462f6a815329bffa90327618
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added the "--drop-type-entries=<entries>" command line option.
    
    The documentation was updates on this and older things.
    
    Reviewed by Bruno Araújo <bruno.araujo@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit c4f21744c7148f7cbb593f8bfe3cdd524abd912b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug 638 - "Documentation for phonon doesn't show class inheritance diagrams."
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 2fa3a9485d45cfa27593848fbcee1b21ed1bfa57
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Add function getClassTargetFullName to get what AbstractMetaClass.fullName would return.

commit c306628bd2b06ec5a9a734e33a8d948be1811649
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added a CMake script that sets some environment variables before calling the tests.
    
    This is used as a workaround to a CMake 2.6 limitation that prevents
    environment variables to be set for tests.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Lauro Neto <lauro.neto@openbossa.org>

commit 2456d853d7aa4254ca0ad63b48f667796fc51fe1
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Bump version to 0.6.6.

commit 96d9cf72a376f42590a24d9516f306bae09faca3
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fixed Cmake files used to find the library after the installation.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 984cd4d8fd361e89ac5b8a514b8088bb53b925f6
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fixed the project file test to work with win32 paths.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 5f6d08e17f214d7d3a41a1cbdfb2d975e02a33cd
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Modified GeneratorRunner to support a simpler format of project file.
    
    The project file are now just a text file containing key/value pairs.
    The documentation was updated accordingly, including the man page.

commit 13480bf7867bed1cfa64613fddb0d6e53aa36b9e
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added documentation for command line and XML generator project file options.

commit a2318f763a91bc7c47bb751e39036ab95f4b45fc
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added the "project-file" command line option.
    
    The project file is a XML that provides the same options that could be
    provided via command line.
    
    Command line arguments added by further modules will be converted into
    xml tags on the project file following this rule:
    
    GENERATOR --new-boolean-option --new-option=SOMETHING
    
    in XML turns into:
    
    <new-boolean-option />
    <new-option value="SOMETHING />

commit e674a8ddbc11e51f3f701e8ab7783aefec8cfeec
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added a dummy generator as a source of test cases.
    
    Unit tests were added as well.

commit b5e32ea4f620a0f7e3e2ee6bba741b0f08686312
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    GeneratorRunner looks for loadable generator modules in many places.
    
    Besides loading generator modules given as full file paths, and placed
    in the place where GeneratorRunner was installed, the modules are also
    looked for in paths added via QT_PLUGIN_PATH.

commit b3daa9b6f33fe0925d0983b7dc84add876abc36a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Renamed "generatorSet" command line option to "generator-set".
    
    Now the option name is similar to all the other command line options.
    Yet, to assure backward compatibility, the "generatorSet" parameter is
    still accepted, although it will not override the "generator-set"
    option.

commit 36c7cb03f442deb4d76a94e35cd11d49a3586884
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#636 - "Unable to navigate back to the main site from the generated documentation"

commit 33074d875780fe078c37d51be622348d63c80864
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Bump to version 0.6.5

commit c00ea5762748ff62b1a7656ae12295300c06c313
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Updated apiextractor version dependency.

commit a3f83952957d0d7cdfce915e1dec9b0ae582193d
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Don't ignore inject-documentation when mode="replace".
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 30fcf4f242a1aa37378b86fd4ec89b6905c74aff
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Add option to install tests
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>

commit cb7a4e781352b071ed783b1a3dd0afb283526440
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix bug#574 - "In docs of QUuid there's documentation for a function called 'operator QString'"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit c6ecedee1d37dbf3f7ef1d5b77b597febada8ac6
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Add support for extra documentation in module table of contents.
    
    This is needed to fix the bug bug#560 ("Lack of QtCore.Signal documentation")

commit de235e55f4e587e71a265f17f2e7b087bea22417
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Bumped version 0.6.4

commit 6256b0ecfacb2c0970f24241d7de94dd6f33902e
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Bump ApiExtractor version dependency

commit 47b1d999f30183c3acff3cfb5084fd21c2875e6c
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Obey ExcludeConst and ExcludeReference arg in translateType function for QFlags.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit a657085b40c2ab1fb45298836a741fe0f0bb0a2c
Author: renatofilho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Use the same function in translate type primitive types and others.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 5d930c0cd91db82654c227969b57206eca5a74a2
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Require ApiExtractor at least 0.8.2.

commit 7785318737ddabf759060277e069557367d5061a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Obey ExcludeConst and ExcludeReference for primitive types on translateType function.

commit fbd3347beb6f727da67fc8b3792f726e26c0f472
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Bump version to 0.6.3

commit 94598415e4e5967f1b52df8e6abffb1c9bdc0b02
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Fixed translate type function.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Marcelo lira <marcelo.lira@openbossa.org>

commit 75321b8149ec5cfb69c4b758976b5a11ff22083b
Author: Luciano Wolf <luciano.wolf@openbossa.org>
Commit: Luciano Wolf <luciano.wolf@openbossa.org>

    Updating documentation to reflect adoption of wikipages.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>

commit e0eb744489cfe4914bef235880f8219984d7d43d
Author: renatofilho <renato.filho@openbossa.org>
Commit: renatofilho <renato.filho@openbossa.org>

    Implemented support to OriginalName flag on typeName function.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 67da904f47c450ce5e5c5cd037680d002035549f
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Use the correct package name at module index.

commit 69566068b5d0e3fa9f21f038dc7622cf1d9b3594
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Replace QVariant doc entries by None or object.
    
    None when QVariant is used as an argument default value, object
    when it's used as return value or just to inform the expected
    argument type.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo lira <marcelo.lira@openbossa.org>

commit 23979df5d6e9d4dfcdcaef8f4c358cb2acd721c5
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Support doc generation of various modules in one go and removes QString and QStringList entries from generated docs.

commit 00ef2994b4cb744173f92d57673683a7d2d0b0c3
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fixes bug#168, bug#310 and bug#330.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 4af2783edecbaaead34cb33c913ba67be4add73c
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Add quotes to GENERATORRUNNER_PLUGINDIR variable.

commit 428526553190a8be5f81bf3592e4ae98137ffbdd
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Removed file not used related to documentation.

commit 092e6cb2f7e54a90e200f6c80763640319dde25b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Remove outdated information about boost graph from docs.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 9c1186eacda68f9573d228291aecd022a9493c10
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Add "doc" target to be able to build the docs out of the source directory.

commit 7ecf20e2a7389bf4f11f0c229338606fd001e75d
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Removed broken links from docs.

commit 3dc95645c3324d23744d779f7898a3e976b858a3
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Version bump.

commit c46e12c8c16894b4ac942e60bb47851768a2f91d
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Use full file name on GENERATORRUNNER_BINARY.

commit fedb9b3daac568c5c6f23dec0fd97c407f3e8023
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Created cmake option 'ENABLE_VERSION_SUFFIX' to use version on generated files to allow multiples version installed simultaneous.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 0c3d5644e0d3eb8b7955c92d0cf147f0ae84869d
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Bump the required ApiExtractor version.

commit c68f96c1c49afa14bd0907bddeee053264d032c1
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Use diferent path separators for windows and unices.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 6c411b3fb53984ec35b04cad98f30d6b28361216
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Cleanup generatorrunner export/import macros.
    
    Reviewer: Luciano Wold <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 5f465d1eedff7727d005e2724dbc56960b0f313b
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Use DEFINE_SYMBOL in cmake to create the define to exports symbols.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 1b89ed5df330e4588838de36a7bbf11e595158e2
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Don't *always* build generatorrunner as debug.
    
    This fixes the segfault under windows when compiling in release mode.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 876afa44660e1275358cfe05f649bb34c250c460
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix flags used when compiling using MSVC.

commit 09a2d2aaa6349df614752f10cd8663ad3a83aee5
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Do not compiles doc generator when ApiExtractor doesn't have support for
    doc strings.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 16e7b284c2c93a18bc181296f7486baf13ab9f1f
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Take care to remove only the first const and ref when translate types.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>,
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 12358699d6ad2e190645936782bf442193de7f72
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Bump to version 0.6.1.

commit b8d7a7cb99a6123babf738d16743cc96ba8869be
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Removed lib prefix from generators plugin.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>,
              Luciano Wolf <luciano.wolf@openbossa.org>

commit e826abb238fcd991f4496cc896a8e0c45cc81a48
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Bump version due to ABI changes.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 9e005dea1040dbfa7d1746fe6fa64ab2c0e07f1a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Removed deprecated methods.

commit 0e2f7543d283f37cd5c47028b663b415572f576f
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Adapt to recent changes in ApiExtractor API.

commit aa333111a036873d2942fa949901d5634c5f44a7
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Implemented support to namespace.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>,
              Hugo Parente Lima <hugo.lima@openbossa.org>

commit 2e58a6d67c38ef627c1065fca61c3602a1eb49d0
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Commit: Hugo Parente Lima <hugo.pl@gmail.com>

    Fix cmake files used by other projects to detect Generator Runner.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit a6e5c09a32b7f5eff5dd35664bb4bf8fa55886ed
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Fix instalation on MSVC.

commit ae2d4d290427a734acc071d5e4b07ff8c4f5f68a
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Flush report messages at the end of program.

commit 6c1d27c84432b2551434a81fc83295bbc31b9924
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Updated documentation version.

commit 6cab3f6c9a61fae52b45f8c08a52576a429ed371
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Bump to version 0.5.1.

commit 1681b7fd0735d56efe6b3eb86191eda463f3fde9
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Bump version 0.5.0

commit be4399fccc20a9c957722a305cc604526fc9bd61
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Added methods Generator::findAbstractMetaEnum.
    
    The new methods returns an AbstractMetaEnum for a given
    TypeEntry, EnumTypeEntry, FlagsTypeEntry or AbstractMetaType.
    
    Reviewed by Renato Araújo <renato.filho@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 4aad76e02a6d4d39b018b83e0d21fc976b153930
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Use external CXX_FLAGS on compilation flags.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>,
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 4bd6afcca5854f6f0d706f226ca8ddf825349b76
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Disabled GCC optimization flags by default.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>,
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 48f7e2ae85aeb2d3a5273f05d4f7bcc54e0caac4
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Implemented support to api-version.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>,
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 95b14c44b5950b6a389d4d6c29f361016ab3f4db
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Use ":" as path splitter on all platforms, this unique behaviour will simplify the
    CMakeLists.txt and avoid configure errors on non-Unix like platforms.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 56904856fbbc83b9face41edc0af3049273abe42
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Bump to version 0.4.3

commit 7c219799688ec0704dcd3cb9112b75c7603e6dac
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Updated git-archive use to keep compatibility with git version 1.6.

commit c7c9e25d2a8ca5272baaad651b0e985213f59dcd
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Fix libgenerator SONAME.

commit 92c88418c8c737dd55d35fbf1d28729ac01445b0
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Bump version to 0.4.2

commit 5cf1569284d049bdc5254547a6b58b7a685ee2b3
Author: Renato Filho <renato.filho@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Create .gitattributes file.

commit 8602ed0140f92884516b5e48ff685d6f90227980
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Renato Filho <renato.filho@openbossa.org>

    Do not crash when the given table is wrong.
    
    Reviewer: Bruno Araújo <bruno.araujo@openbossa.org>
    Reviewer: Renato Araújo <renato.araujo@openbossa.org>

commit 7384ec7a48990cdbf1a44d52e2d17ac62d429b76
Author: Hugo Parente Lima <hugo.lima@openbossa.org>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Adapt to changes in ApiExtractor
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewer: Renato Araújo <renato.araujo@openbossa.org>

commit f149e00720e33fa625466133ad415671d09c6202
Author: Carlos Goncalves <mail@cgoncalves.info>
Commit: Hugo Parente Lima <hugo.lima@openbossa.org>

    Do not build tests if explicitly wanted to. Default is to build.
    
    The majority of users don't need tests built. This will reduce build time
    significantly, and packagers will be thanked for it. To not build tests append
    -DBUILD_TESTS=False to cmake parameters.
    
    Reviewer: Anderson Lizardo <anderson.lizardo@openbossa.org>
    Reviewer: Hugo Parente <hugo.lima@openbossa.org>

commit 81c7eb43c6d6990768348de63dbc9a6da5dbd976
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Changed routine to build source packages.
    
    Our changelog is just the output of git log, so it's added only on source packages
    and don't need to stay in the git repository.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
    Reviewer: Anderson Lizardo <anderson.lizardo@openbossa.org>

commit 7f74f2f556677ce0685b92ac02570cbdbadb5f43
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Bump version to 0.4.1

commit 8dd68f78c4b3fde0484e1c45f793a5aed81ae7bf
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Bump version to 0.4.0

commit ab48c49c3ac0c545e90126d3d1be2d310ba3bdf6
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Fix pkgconfig libdir variable with lib64/ or lib32/ directories.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
    Reviewer: Bruno Araújo <bruno.araujo@openbossa.org>

commit c1bc5071b0f513ad1e8622f76f9c3db4229480fe
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Change the application name on help message, besides the copyright year.

commit 74eb21fa674315cbfba994a451cbc58d7ffaab66
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Fix Config.cmake library path
    
    Reviewed: Hugo Lima <hugo.lima@openbossa.org>

commit a9a1bfa16220446594f2caa600c10f588f995981
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Remove FindGeneratorRunner.cmake file in favor of GeneratorRunnerConfig and Version .cmake files.
    
    This is the right way to go, according to:
    
    - http://www.cmake.org/pipermail/cmake/2009-April/028504.html
    - http://www.cmake.org/Wiki/CMake_2.6_Notes#Packages
    
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit f7a2b6099245ee47cd7f87b2ca7c0a8e513797d0
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Fix bug in CMakeLists.txt triggered when some paths contains white spaces.

commit 2f0a8f07a9412441d34098c26cf4360d6246e0b5
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Avoid get the wrong class when using Generator::implicitConversions(const TypeEntry*) when there are
    two classes with the same name, but in different scopes.

commit 593804998aaa1d463b06bb5db6ef467aed23c272
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Fixing includes and include dirs
    
    Avoiding .. includes
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>

commit 366c05def936d6577cde73ba18583ded95056129
Author: renato <renato.filho@openbossa.org>
Commit: renato <renato.filho@openbossa.org>

    Bump to version 0.3.4.

commit b5c2a8fb4b598684bde4cfb156d345649a9b11f8
Author: renato <renato.filho@openbossa.org>
Commit: renato <renato.filho@openbossa.org>

    Updated Changelog.

commit bd98924d1a335fb34e3119a58bae3c0d42493c26
Author: Bruno dos Santos de Araujo <bruno.araujo@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Add constraint to avoid index out-of-range errors
    
    Reviewer: Lauro Neto <lauro.neto@openbossa.org>

commit 6bdce6ad951e10b3830b8a6a763961038e1f7828
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Improved Generator::replaceTemplateVariables method to avoid segfaults.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>

commit b2519fa1f17be24956772f5a5101a914cbbdb77d
Merge: 9a434d3 302029e
Author: renato araujo oliveira <renato@renato-note.(none)>
Commit: renato araujo oliveira <renato@renato-note.(none)>

    Merge commit 'mainline/master'

commit 9a434d34ee73e69db79fa1bba0c9443404653546
Author: renato araujo oliveira <renato@renato-note.(none)>
Commit: renato araujo oliveira <renato@renato-note.(none)>

    Bump to version 0.3.3.

commit 00104551d30e1c5825d8993f28b81dfa06da038b
Author: renato araujo oliveira <renato@renato-note.(none)>
Commit: renato araujo oliveira <renato@renato-note.(none)>

    Updated Changelog.

commit 302029e093c88fb46cea8d6131726b82731110f9
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Change the getGenerators signature, because on some platforms a function exported as a C function
    can't return a C++ type by value.
    
    All generators plugins *MUST* be recompiled.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 04b6a05df40f88e1a62e522fb65264b932a904d5
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Disable GENRUNNER_DEPRECATED macro when using msvc.

commit 01c26669868b61f641b2bbf4d36779a354ab651d
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    FindGeneratorRunner.cmake now respect the find_package REQUIRED attribute.

commit 0c1ef1849561b56a9f06f0225887b65b0e07beec
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Install FindGenRunner.cmake and libgenrunner in the correct directory.

commit f94e3ab6047ee725c11a6154ff10892811e9226c
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Add proper compiler flags for msvc.

commit 7abd582fb9b75a1b5b11f8ea2b954bde5ec9e4ff
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Fix macros about dllexport/dllimport.

commit 5f1029fae1172331fe8e110ba0302b338f6712f6
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Remove white spaces at end of each line when formating injected code.

commit af0c620e6c74680db24e1bf1a400c48410cae418
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Fix the formatCode function (again).
    
    Reviewed by Marcelo Lira <marcelo.lira@openbossa.org>

commit 2946030013ebe8f80a5596a41b5f183c1b2efa58
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Fix the formatCode function.
    
    Reviewed by Marcelo Lira <marcelo.lira@openbossa.org>

commit 36b122bc1699f37f0354ce62e8de8e7ab866703b
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Delete all generators at exit.
    
    Reviewed by Marcelo Lira <marcelo.lira@openbossa.org>

commit f2b81bc077d6bdec8d846db0f7a7e28e6472894d
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Creates the output directory if it doesn't exists.

commit e4c1f6a91ad8f12a196948ca52231f6353b0f233
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Remove two compilation warnings from qtdoc generator.
    
    Reviewed by Renato Araujo <renato.filho@openbossa.org>

commit e860f1efded4e9dc177686372ed06d3a97ba3f11
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    - Prepare libgenerator.so for a near future when we will need to worry about BIC changes,
      Now it uses a d-pointer and do not export private methods/structures.
    - Mark some methods as deprecated, as they doesn't belong to Generator, being a huge
      cohesion failure IMO.
    - Fixed constness of some methods.
    
    Deprecated methods:
      AbstractMetaFunctionList filterFunctions(const AbstractMetaClass *cppClass);
      AbstractMetaFunctionList queryFunctions(const AbstractMetaClass *cpp_class, bool all_function = false);
      AbstractMetaFunctionList queryGlobalOperators(const AbstractMetaClass *cpp_class);
      AbstractMetaFunctionList sortConstructor(AbstractMetaFunctionList list);
    
    Moved method:
    	verifyDirectoryFor is now a ordinary global function like formatCode, because it's a helper function
        not related with code generation.
    
    All these methods would be somewhere/somehow in APIExtractor, because they are basically helper methods to
    supply some APIExtractor missing functionalities.
    
    Note: Shiboken and BoostPython generator needs some minor fixes to adapt to changed caused by this patch.

commit 345ede7ab3abaca5ec362ebb2cf09a5aabb4cb9a
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Remove duplicated documentation.

commit bb21dd53db3fcdb2bb22b5ead64aa846fd430cd3
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Fixes bug91
    
    Create only one symlink, libgenrunner.so, pointing to libgenrunner.so.x.y.z

commit f081e5ff270a23a2ae2dafede0520416f681ff4b
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Add symbol visibility rules to generator runner.

commit 4545d7fc24b016d6456da40298a2cf4581e38ec1
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    added Generator::implicitConversions(type) method that returns the constructors
    for implicit conversions for the given type, which should be a value-type
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>

commit 2419238d2c1fe4b80e5b5e5767f70bc275aa08a0
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    fixed typo in Generator::sortConstructor method name

commit f93d6e90bee106a137968e6b267fa574dcdbb862
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Fix SOVERSION/VERSION
    
    SOVERSION -> MAJOR_VERSION
    VERSION -> full VERSION

commit 4cfd8a4c182ede5fb499163e836a3619dbf92a4a
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Add the missing qflags macro to Options qflag.

commit 5ef2ad8a5a64d0115099be75162ec311479af233
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    applied patch from  Didier Raboud, to fix mixed hyphens and minuses on manpage.

commit f148676af83cf3b71d55aab34feaea85f9f574dc
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    renamed generator architecture diagram file to a proper name

commit 56ac6360323737d2d07921b96e29c1f5a5ba6d70
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    updated generator architecture diagram for Generator Runner

commit 3a15584474c9865e23334e30b7cac640dc166a12
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    readded tests for qtdoc generator that were left behind when forking
    from boostpythongenerator

commit ae3abca2b15794bdde313eed3f7f9391cd68f72d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    forked boostpythongenerator project to separate the generatorrunner
    so that it could be used independently; the qtdoc generator module
    remained part of generatorrunner

commit 8fd38fe9fcb176441e34cad2a3094301c33080f5
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Fixed the openbossa logo on the pysidedocs theme.

commit d1af6dc97bbf18577c7a3c4e7a505d1596473cd9
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Luciano Miguel Wolf <luciano.wolf@indt.org.br>

    Added pysidedocs theme to the generatorrunner documentation.

commit 17a82a3123c8f0d21aa4e32e295f729d862e65f4
Author: renato araujo <renato@renato-mac.osmtc.indt.org.br>
Commit: renato araujo <renato@renato-mac.osmtc.indt.org.br>

    Implemented support to conversion-rule tag.
    
    Reviwed by: Marcelo Lira <marcelo.lira@openbossa.org>

commit 50a75628a9d5ca8dc516c466d97ca0d0cd4004ca
Author: renato araujo <renato@renato-mac.osmtc.indt.org.br>
Commit: renato araujo <renato@renato-mac.osmtc.indt.org.br>

    Created execption handle for virtual functions.

commit 282b8964740d8f0c4c4b9b10f21622da44c1dbd9
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Bump to 0.3.2

commit af59f0ced4df8ec0ab709f7df5fdd674c9d21f6a
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Update changelog for 0.3.1

commit 0d720fd9faa9eeef9756952d4e9df4ef8f93029a
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    reinterpert_cast replaced by a C-style cast, to avoid compiler errors on some plataforms.
    
    Cast an object pointer to a function pointer is an undefinied behaviour in some exotic
    platforms, so some compiler raise a flag against it. However if we use a C-style cast the compiler
    ignores it.
    
    This problem is related to the QLibrary API returning a void* instead of a generic
    function pointer.

commit 42562fa1c3794ba9657cdfd29cbee33000316d52
Author: Bruno dos Santos de Araujo <bruno.araujo@openbossa.org>
Commit: Bruno dos Santos de Araujo <bruno.araujo@openbossa.org>

    Add manpages for generatorrunner, docgenerator and boostpythongenerator. (Fixes: #29)

commit 50bfbf524e84fee2b3e7cb7a6e74eab73cc99ab1
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fixed generation of fields for non wrapped class.
    
    Fixed copy constructor generation.

commit 1484802d654fb18ea5da9c10c1a4f3a72ba34e9e
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Implemented support to return policy for Qt::HANDLE.

commit 3d18dd2011db8901032dee7136df014b502d0aa7
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Fixed missing include in docgenerator.
    
    Fixes Bug #5

commit 49e15b561187670f6c4314e10929903393d444b1
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Write logs in the outputdirectory instead of the current working directory.

commit 17dd519767f2a877457f723f166a90119e2ca310
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Created ChangeLog file.

commit e5f356b6f65cd58b682fdbc3247740945bd0b268
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Fix typo: GENERATORRUNNER_PUGIN_DIR => GENERATORRUNNER_PLUGIN_DIR

commit 23281d9afef0b1f0972458dbc84f48fd186e435e
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Fix typo

commit bc7bbec2a472ba71edcaed3bb90c078b2b67c569
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Fix missing parenteses in FindGeneratorRunner.cmake

commit 62bd01fd2bccb01fdb2eb9eeaf07db4ed1ae5838
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Fixed bug#26.
    
    Reviewed by Renato Araújo

commit 879ca025fc24bb79c5744557fc4a14e186e9f61c
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    When the user passes an absolute path as the plugin name,
    generator runner will load the desired file instead of doing
    a mess with the absolute path and the GENERATORRUNNER_PLUGIN_DIR
    variable.
    
    This is usefull to test generators plugins without installing them.
    
    Reviewed by Renato Araújo

commit 74ad15b93b2c3816850acb702c669be8ce0fc4ab
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    - Merged boostpythongeneratorversion.h.in and generator_plugin_dir.h.in
    into generatorrunnerconfig.h
    
    - Added some variables to FindGeneratorRunner.cmake
      * GENERATORRUNNER_PLUGIN_DIR The dir where the generator plugins
        should be installed.
      * GENERATORRUNNER_VERSION The generatorrunner current version.

commit 518028765c892b7a6a840cca92376ccc8b77b04c
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Fixed assert failure when using qtdocgenerator.
    
    Added a default implementation for Generator::subDirectoryForClass.
    This breaks the binary compatibility but NOT the source compatibility.

commit b811be1ce4aa832ed7aa8542da535000924effa3
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Installs generator plugins in its own directory.

commit 25b08270fed65b2ef6e93fc2687c12c900e26309
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Bump version to 0.3.1 (correct version)
    
    The previous commit bumped to a wrong version.
    This also adds support to micro version numbers.

commit 495f51aedd35a886b2ac04a6c54a78368cc28227
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Bump version to 0.4 (development version)

commit ad1ad43beddae554fbb456acc9c6485964df06d2
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Bump to 0.3

commit 267d9adb4f6e19b3c314a501f84d8fae22c0983c
Author: Chris Hills <chaz@chaz6.com>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Add pkg-config and cmake support
    
    Reviewed by Hugo Parente

commit 06b1408262174c6bbfc4113f2c68fa692f19def3
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fixed default return policy for functions which return references.

commit 9375ce7bd1f622de9a0eef9e6ea111f37581a01b
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fixed export enums without namespace.

commit 6958a91921f3b2edb12679cf451289083d84ce7d
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Implemneted QAbstrctField as Python properties.
    
    This implementation avoid Karmic python and boost conflict for readonly fields.
    
    Reviewed by Lauro Neto <lauro.neto@openbossa.org>

commit 5a193b528142b15d2af726d0f2ab49f9aca258c3
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Skip native types using only inNativePointer.
    
    with this new isNativePointer, the generator can avoid create useless return policies.
    
    Reviewed by Marcelo Lira <marcelo.lira@openbossa.org>

commit 4fca6cf851dbec9c0ea7c930e7d519bdf3d8964e
Merge: ab4a6ce c52a246
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Merge commit 'hugo/fixdocgenerator'

commit ab4a6ce8f5249240275c5d7bc3e136bdf33d2c19
Merge: 2a81b24 7ab82ee
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Merge commit 'hugo/smallfixes'

commit 2a81b249a8098f04aaee89842b90bf53318d61a3
Merge: df19d99 1fa2842
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Merge commit 'setanta/generatorapp'

commit df19d994ac6b7085b75b7551a849248d9dfdfa3f
Merge: f190baf 4749942
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Merge commit 'setanta/metaclassname'

commit c52a246e45150c1f2be6fd0d472223bbaf92ffca
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Add missing macro to export qtdocgenerator plugin.
    
    Reviewed by Luciano Wolf

commit f190bafc8a82b73c08d25c07ff08a8eb00eca2d7
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    the generator runner exits with an error code if the call to
    ApiExtractor.run() returns false
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>

commit 7ab82eea807ed63ef4bf88668f12568e340b6b5c
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Use QFlags instead of an int as parameter type in some methods.
    
    Reviewed by Setanta

commit 5255857f84d629241806d883bb23981b49fd4bc8
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Install the generator header file into include/generatorrunner
    
    Reviewed by Setanta

commit 1fa2842c8125938cad19c13354716ee6521276b4
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    added convenience binary applications to call the generatorrunner
    with --generatorSet parameters for boostpython and docgenerator
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>

commit 47499427e506893068e1d2a0262fdb0ea9e57fc3
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    moved the code for prepending the Sphinx tag '~' to QtXmlToSphinx::resolveContextForMethod
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>

commit fd52957d375eb990a0fabbfab35d36480ee057ae
Merge: 8f94140 f8fba84
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    Merge commit 'mainline/master' into metaclassname
    
    Conflicts:
    	boostpythongenerator.cpp

commit 8f941405798b67204945d7ec94ef8e63e1535877
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    DocGenerator now resolves context for method references: it searchs
    for the class that have implemented the method and link to its
    definition instead of producing a broken link to the current
    inheriting class documentation

commit f8fba84d7b0230b1f48109c339197c407757bea1
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Fixed typo in tests CMakesLists.

commit 5c23e745fe48bfa1e3d8707788845e46a1de95c9
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Fix the libgenrunner name in target_link_libraries

commit 3aa252140e2fcb60350afdc76f11cbfa52dc0479
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Fix the libgenrunner version number

commit fcd92287290dfeaf4d29360eb8c9017c59ec053c
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Backport "disable named args" bugfix from mainline

commit ec31fe05ff3f9972e9f7f9de9d3ac9e291403202
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Plugins always ends with _generator in their names

commit 68425b4bac65e293277123c393e8d5a47a62fcc7
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    translateType method has been moved to Generator class

commit 2270cb2b4e57b8e3d82dd1cf692eea75a4342c45
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Removed QtDocGenerator dependence from BoostPythonGenerator, so a lot
    of function were moved from BoostPythonGenerator to the Generator class.
    
    In other words, QtDocGenerator finally compiles and their unit test pass :-)

commit 55dd77e04a8cef0e14648d6d8fb18cdc18695931
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    - QtDocGenerator is now a GeneratorRunner plugin.
    - A lot of methods moved from boostpythongenerator to the generator class.

commit 9682566c558674609a77540978e36db3dd174303
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    libgenerator is called libgenrunner and boostpythongenerator is called generatorrunner from now and beyond.

commit 46595f8e48b3d3e53e02b0ccb39e593b3cd3c829
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Moved docgenerator to generators/qtdoc and renamed it to qtdocgenerator

commit 55ec8a2a4d1c9453e9ba5b27bf8542fa4d586939
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Removed redundant PATHSPLITTER macro, using the already definied PATH_SPLITTER one instead.

commit 86c00c1d694cfc69b58ac2fbd0d7744c7f95e39a
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Added boostpython as a generator plugin.

commit 425c1eba27766b4382ace8f10daeaa548c9eb0d6
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    The current generators will be just plugins and all generator stuff in APIExtractor were moved
    to this project.
    
    So we need to re-think if boostpythongenerator still a good name for the project, because
    boostpythongenerator will be the name of the plugin to generate bindings for boost::python.
    
    Also the generators were just moved to a subdirectory (generators) and the boostpython generators
    to a sub-subdirectory (generators/boostpython), transform them in plugins will be a second milestone.

commit 252ff87489c02fe1b26d650ad855d111042c6490
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Removed use of return_const_prt.
    
    This not work, because some c++ object does not have a copy constructor.

commit 8beba81378eb52d72864ca5adc1ba5f8e8a816cb
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    fixed links to classes inside namespaces

commit e31d726e5e71c628a30deca6f33dc8a8c133a8c2
Merge: 2905268 10c1599
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Merge commit 'hugo/master'

commit 29052684cf78ad4bbe0614c5bde0411208336c03
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Use of return_const_ptr_object for functions with const pointer return.

commit 59777bbd55a87043e6d8783d619036701e3b5387
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    fixed problem on documentation: method lists for classes get the
    scope duplicated when the owner class is inside a namespace

commit 10c15993f817ae2e60afdb4220e841e5104a0e0d
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Proper initialize m_disableNamedArgs variable.

commit dc419f4a5767a0a64e4e9a2446668370528c1343
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Commit: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>

    Replaced use of boost::python::wrapper to PySide::wrapper.

commit 48dd9b112e9ea7bc6c95703cdfd5e8fd269b80b4
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    writes correct full qualified C++ names for classes and other components
    and also fixes the generated source code file names to follow changes
    on API Extractor

commit 4fca5b868e8b3d982dfa2ceb95806b2a5b2bb639
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Adding 'make dist' with git-archive

commit 0a3ae6f6ace1da4720ccf9e70a56e279087f0018
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Remove libbindgen from project, it doesnt exists yet.

commit d92958a28e7a6a6374aea05f3a5d2abfb4c7d78f
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    updated BoostPythonGenerator version to 0.2

commit d9adc640d3d8705b5a4aeb431813936c59e11483
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Commit: Marcelo Lira <marcelo.lira@openbossa.org>

    removed wrong include statement from DocGenerator

commit 5ec8db293177563c5f25e8f3997df93965ad699b
Author: Lauro Neto <lauro.neto@openbossa.org>
Commit: Lauro Neto <lauro.neto@openbossa.org>

    Revert "Added files for debian package creation"
    
    This reverts commit f90374a93cc7232ae304f1c121bedd383209b2b7.

commit f90374a93cc7232ae304f1c121bedd383209b2b7
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    Added files for debian package creation

commit cbac30b07bae6c72be5eefd5e47fe83650a16acd
Author: Hugo Lima <hugo.lima@openbossa.org>
Commit: Hugo Lima <hugo.lima@openbossa.org>

    The genesis...
